<?php
$vdrClient =new VdrClient();
$hasMassMailer = $vdrClient->checkAddon('mass_mailer');

$boxMenuFileKeyTop = "commission";

if(stristr($scriptName_g, "/email-template.php")) $boxMenuFileKeyTop = "email_templates";
elseif(stristr($scriptName_g, "/admin/conf.php") || stristr($scriptName_g, "/merchant/configuration.php") || stristr($scriptName_g, "/admin/user-mgt.php") || stristr($scriptName_g, "/fwadmin/")) $boxMenuFileKeyTop = "settings";
elseif(stristr($scriptName_g, "/disapproved-commissions.php") || stristr($scriptName_g, "/pending-commissions.php") || stristr($scriptName_g, "/manual-commission-mgt.php")) $boxMenuFileKeyTop = "commission";
elseif(stristr($scriptName_g, "/adm-outstanding-bills.php") || stristr($scriptName_g, "/adm-paid-bills.php") || stristr($scriptName_g, "/create-bills.php") || stristr($scriptName_g, "/mass-payment")) $boxMenuFileKeyTop = "bill";
elseif(stristr($scriptName_g, "/nwreport/login-history")) $boxMenuFileKeyTop = "login_history";
elseif(stristr($scriptName_g, "/nwreport/stat-sale") || stristr($scriptName_g, "/nwreport/log-sale")) $boxMenuFileKeyTop = "sales_stats";
elseif(stristr($scriptName_g, "/nwreport/stat-lead") || stristr($scriptName_g, "/nwreport/log-lead")) $boxMenuFileKeyTop = "leads_stats";
elseif(stristr($scriptName_g, "/nwreport/")) $boxMenuFileKeyTop = "report";
elseif(stristr($scriptName_g, "/data-feed-mgt.php") || stristr($scriptName_g, "/promo.php") || stristr($scriptName_g, "/promo-group-mgt.php") || stristr($scriptName_g, "/featured-promo-mgt.php") || stristr($scriptName_g, "/merchant-aff-defined-promo.php") || stristr($scriptName_g, "product-gallery-settings.php") || stristr($scriptName_g, "landing-page-mgt.php") || stristr($scriptName_g, "network-css-class-mgt.php") || stristr($scriptName_g, "promo-size-mgt.php")) $boxMenuFileKeyTop = "ads";
elseif(stristr($scriptName_g, "/massmailer/")) $boxMenuFileKeyTop = "massmailer";
elseif(stristr($scriptName_g, "/merchant-affiliate.php") || stristr($scriptName_g, "/pending-affiliates.php") || stristr($scriptName_g, "/disapproved-affiliates.php") || stristr($scriptName_g, "/affiliate-group-mgt.php") || stristr($scriptName_g, "/internal-affiliate.php") || stristr($scriptName_g, "/supplier-mgt.php") || stristr($scriptName_g, "/supplier-affiliate-commission.php") || (stristr($scriptName_g, "/special-partner-mgt.php") && $menuCode_g == 'special_partner_mgt')) $boxMenuFileKeyTop = "affiliates";
elseif(stristr($scriptName_g, "/products.php") || stristr($scriptName_g, "/commission-level-mgt.php") || stristr($scriptName_g, "/merchant-affiliate-group.php") || stristr($scriptName_g, "/merchant/merchant-affiliate-commission") || stristr($scriptName_g, "/supplier-default-commission.php") || stristr($scriptName_g, "/special-partner-") || stristr($scriptName_g, "/txn-cost-setup.php")) $boxMenuFileKeyTop = "comm_settings";
elseif(stristr($scriptName_g, "/merchnat-affiliate-page-content.php") || stristr($scriptName_g, "/email-template.php") || stristr($scriptName_g, "/affiliate-faq-mgt.php") || stristr($scriptName_g, "/admin/upload.php")) $boxMenuFileKeyTop = "contents";
elseif(stristr($scriptName_g, "/tracking-code.php") || stristr($scriptName_g, "/3rd-party-integration.php") || stristr($scriptName_g, "/look-customization.php") || stristr($scriptName_g, "/page-code.php") || stristr($scriptName_g, "/api-domain-mgt.php")) $boxMenuFileKeyTop = "integration";
elseif(stristr($scriptName_g, "/tools/export")) $boxMenuFileKeyTop = "csv_tools";
elseif(stristr($scriptName_g, "/admin/contact-list.php") || stristr($scriptName_g, "/admin/group-mail") || stristr($scriptName_g, "/massmailer") || stristr($scriptName_g, "/tktadmin/") || stristr($scriptName_g, "/admin/broadcast-message")) $boxMenuFileKeyTop = "communications";


#=================================================#
$boxMenuFiles = array();

#=================================================#
$boxMenuFiles['commission'] = "VwLeftBoxCommission.php";
$boxMenuFiles['report'] = "VwLeftBoxMerchantReports.php";
if(EDITION_CODE != 'basic') $boxMenuFiles['sales_stats'] = "VwLeftBoxSaleReports.php";
if(EDITION_CODE != 'basic') $boxMenuFiles['leads_stats'] = "VwLeftBoxLeadReports.php";
$boxMenuFiles['login_history'] = "VwLeftBoxLoginHistory.php";

#=================================================#
$boxMenuFiles['box_sep1'] = "box_sep";
$boxMenuFiles['affiliates'] = "VwLeftBoxAffiliates.php";
$boxMenuFiles['communications'] = "VwLeftBoxCommunications.php";
$boxMenuFiles['bill'] = "VwLeftBoxBills.php";
$boxMenuFiles['csv_tools'] = "VwLeftBoxCsv.php";

#=================================================#
$boxMenuFiles['box_sep2'] = "box_sep";
$boxMenuFiles['settings'] = "VwLeftBoxConfig.php";
$boxMenuFiles['comm_settings'] = "VwLeftBoxCommissionSettings.php";
$boxMenuFiles['contents'] = "VwLeftBoxContents.php";
$boxMenuFiles['ads'] = "VwLeftBoxAds.php";
$boxMenuFiles['integration'] = "VwLeftBoxIntegration.php";

#=================================================#
if($hasMassMailer && $boxMenuFileKeyTop == "massmailer")
{
	$boxMenuFiles['massmailer'] = "VwLeftBoxMassMailer.php";
}
elseif($boxMenuFileKeyTop == "email_templates")
{
	$boxMenuFiles['email_templates'] = "VwLeftBoxEmailTemplate.php";
}
#=================================================#
?>

<div>
	<div>
	<?php include GLOBAL_PATH . "/Views/" . $boxMenuFiles[$boxMenuFileKeyTop]; ?>
	</div>
	
	<div class="leftBoxSep"></div>
	
	<?php
	foreach($boxMenuFiles as $fileKey=>$fileName)
	{
		if($fileKey == $boxMenuFileKeyTop) continue;
		
		if($fileName == 'box_sep')
		{
			print '<div class="leftBoxSep"></div>';
		}
		else
		{
			print "<div>";
			include GLOBAL_PATH . "/Views/" . $fileName;
			print "</div>";
		}
	}
	?>
</div>